import { r as registerInstance, h } from './index-dd1fc9a4.js';
import { D as Dropdown } from './Dropdown-3c97a7dc.js';
var UIDropdown = /** @class */ (function () {
    function UIDropdown(hostRef) {
        registerInstance(this, hostRef);
        this.open = false;
    }
    UIDropdown.prototype.render = function () {
        return (h(Dropdown, Object.assign({}, this), h("slot", null)));
    };
    return UIDropdown;
}());
export { UIDropdown as ui_dropdown };
